<?php namespace Terrostar\QuoteBlockExtension;

use Anomaly\BlocksModule\Block\BlockExtension;
use Terrostar\QuoteBlockExtension\Block\BlockModel;

class QuoteBlockExtension extends BlockExtension
{

    /**
     * This extension provides...
     *
     * This should contain the dot namespace
     * of the addon this extension is for followed
     * by the purpose.variation of the extension.
     *
     * For example anomaly.module.store::gateway.stripe
     *
     * @var null|string
     */
    protected $provides = 'anomaly.module.blocks::block.quote';

    /**
     * The block view.
     *
     * @var string
     */
    protected $view = 'terrostar.extension.quote_block::content';

    /**
     * The block view.
     *
     * @var string
     */
    protected $wrapper = 'terrostar.extension.quote_block::wrapper';

    /**
     * The block model.
     *
     * @var string
     */
    protected $model = BlockModel::class;

}
